Bug 1420520 - All ARM disk image composes fail in Rawhide
Summary: All ARM disk image composes fail in Rawhide
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 26
Hardware: armhfp
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Václav Pavlín
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Keywords: Reopened
Depends On:
Blocks: F26AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2017-02-08 21:24 UTC by Adam Williamson
Modified: 2017-03-22 19:46 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-03-22 19:46:44 UTC


Attachments (Terms of Use)

Description Adam Williamson 2017-02-08 21:24:41 UTC
All ARM disk image composes fail in current Rawhide composes, e.g.:

https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20170208.n.0/logs/armhfp/liveimage-Fedora-Xfce-armhfp-Rawhide-20170208.n.0.armhfp.log

Error is:

spin-appliance is deprecated and will be replaced with image-build
AttributeError: Values instance has no attribute 'optional_arches'

This is an automatic Alpha release blocker: "Bugs which entirely prevent the composition of one or more of the release-blocking images required to be built for a currently-pending (pre-)release" - https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers (the ARM minimal and Xfce disk images are release-blocking).

Comment 1 Dennis Gilmore 2017-02-08 21:35:01 UTC
spin-appliance is deprecated and will be replaced with image-build
is a warning
There is currently a miss-match of koji and pungi.

Comment 2 Paul Whalen 2017-02-21 15:37:54 UTC
Disk images are once again included in the compose.

Comment 3 Fedora End Of Life 2017-02-28 11:13:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 4 Adam Williamson 2017-03-02 23:38:25 UTC
So, we can close this.

Comment 5 Paul Whalen 2017-03-06 16:52:30 UTC
Reopening, this is once again an issue with the same error/warning message. In koji there are no tasks for f26 disk images since Feb 28th. F27 disk images are completed. 

Tasks
https://koji.fedoraproject.org/koji/tasks?state=all&owner=releng&view=tree&method=appliance&order=-id

Compose logs
https://kojipkgs.fedoraproject.org/compose//branched/Fedora-26-20170306.n.0/logs/armhfp/liveimage-Fedora-KDE-armhfp-26-20170306.n.0.armhfp.log

Comment 6 Kevin Fenzi 2017-03-06 19:02:57 UTC
So, I think this is due to the branched composer machine having the "stock" koji package while the rawwhide-composer has a snapshot with some patches. 

I have installed that snapshot version on the branched-composer and have fired off a new compose, so we can see in X hours if thats the case. :)

Comment 7 Adam Williamson 2017-03-09 17:22:04 UTC
I see an Xfce and a minimal image at https://kojipkgs.fedoraproject.org/compose/branched/Fedora-26-20170309.n.0/compose/Spins/armhfp/images/ , so can we close this again now?

Comment 8 Paul Whalen 2017-03-09 17:35:15 UTC
Closing. Thanks Kevin!

Comment 9 Paul Whalen 2017-03-20 15:31:30 UTC
This happened again for Alpha 1.1. Reopening for visibility and to ensure all compose hosts are running the appropriate koji prior to the next Alpha compose.

Comment 10 Kevin Fenzi 2017-03-20 17:06:40 UTC
This is likely due to the compose-x86-01 machine having a newer koji version without the patches: 

compose-x86-01.phx2.fedoraproject.org | SUCCESS | rc=0 | (stdout) koji-1.11.0-6.fc25.noarch
rawhide-composer.phx2.fedoraproject.org | SUCCESS | rc=0 | (stdout) koji-1.11.0-1.20170215.0857.16.fc26.noarch
branched-composer.phx2.fedoraproject.org | SUCCESS | rc=0 | (stdout) koji-1.11.0-1.20170215.0857.16.fc26.noarch

releng needs to downgrade to that exact version or they all need to upgrade to a newer version with the patches needed.

Comment 11 Dennis Gregorovic 2017-03-20 19:17:08 UTC
Which koji patches are needed for this?  I would like to confirm that they will be included in the next upstream koji release.

Comment 12 Dennis Gilmore 2017-03-20 19:40:43 UTC
(In reply to Dennis Gregorovic from comment #11)
> Which koji patches are needed for this?  I would like to confirm that they
> will be included in the next upstream koji release.

I believe everything for it is in the following pull requests
https://pagure.io/koji/pull-request/309
https://pagure.io/koji/pull-request/291
https://pagure.io/koji/pull-request/177

They have all been merged

Comment 13 Adam Williamson 2017-03-22 19:46:44 UTC
We did get ARM images for RC2:

https://kojipkgs.fedoraproject.org/compose/26/Fedora-26-20170321.1/compose/Spins/armhfp/images/

so closing this.


Note You need to log in before you can comment on or make changes to this bug.